# Enum Class StFormat

java.lang.Object
java.lang.Enum<StFormat>
com.io7m.stonesignal.server.http.StFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<StFormat>`, `Constable`

public enum StFormat extends Enum<StFormat>
The stonesignal API formats.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CBOR`
  CBOR format.
  `JSON`
  JSON format.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StFormat`
  `findFormat(io.helidon.http.ServerRequestHeaders headers)`
  Find a format in the given headers.
  `io.helidon.http.HttpMediaType`
  `mediaType()`
  `static StFormat`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StFormat[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### JSON

    public static final StFormat JSON
    JSON format.

  - ### CBOR

    public static final StFormat CBOR
    CBOR format.

- ## Method Details

  - ### values

    public static StFormat[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StFormat valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### mediaType

    public io.helidon.http.HttpMediaType mediaType()
    Returns:
      The HTTP media type

  - ### findFormat

    public static StFormat findFormat(io.helidon.http.ServerRequestHeaders headers)
    Find a format in the given headers.
    Parameters:
      `headers` - The headers
    Returns:
      The requested format